petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCFactorSetReuseFill

When matrices with same different nonzero structure are factored, this causes later ones to use the fill ratio computed in the initial factorization.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCFactorSetReuseFill(PC pc,PetscBool flag)

Logically Collective on PC Many br

### Input Parameters

| pc | - the preconditioner context Many br
| flag | - PETSC_TRUE to reuse else PETSC_FALSE Many br

### Options Database Key

-pc_factor_reuse_fill -Activates PCFactorSetReuseFill() Many br

Many br

### Keywords

PC, levels, reordering, factorization, incomplete, Cholesky

### See Also

PCFactorSetReuseOrdering()

Level:intermediate
Location:src/ksp/pc/impls/factor/factor.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages